# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/net-snmp-config
# END SourceDeps(oneline)
%global nagios_plugins_dir %{_libdir}/nagios/plugins

Name:           nagios-plugins-snmp-disk-proc
Version:        1.2
Release:        alt1_12
Summary:        Nagios SNMP plugins to monitor remote disk and processes
Group:          File tools
# Version intent from README
License:        GPLv2
URL:            http://henning.schmiedehausen.org/eyewiki/Wiki.jsp?page=NagiosSnmpPlugins
Source0:        http://www.softwareforge.de/releases/nagios-snmp-plugins/nagios-snmp-plugins-%{version}.tar.gz
BuildRequires:  autoconf automake
BuildRequires:  libnet-snmp-devel
BuildRequires:  libssl-devel
BuildRequires:  tcp_wrappers-devel
Requires:       nagios-plugins
Source44: import.info

%description
These plugins allow you to monitor disk space and running processes on
a remote machine via SNMP.

%prep
%setup -q -n nagios-snmp-plugins-%{version}

%build
touch ChangeLog
aclocal
autoheader
automake --add-missing
autoconf
%configure
make %{?_smp_mflags}

%install
install -d -m 755 $RPM_BUILD_ROOT/%{nagios_plugins_dir}
install -p -m 755 check_snmp_disk $RPM_BUILD_ROOT/%{nagios_plugins_dir}
install -p -m 755 check_snmp_proc $RPM_BUILD_ROOT/%{nagios_plugins_dir}

%files
%doc README COPYING AUTHORS NEWS
%{nagios_plugins_dir}/check_snmp_disk
%{nagios_plugins_dir}/check_snmp_proc

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_12
- initial fc import

